View a markdown version of this page

GetIntegration - AWS Continuum for Code Vulnerabilities

GetIntegration

Retrieves information about an integration.

Request Syntax

GET /integrations/integrationId HTTP/1.1

URI Request Parameters

The request uses the following URI parameters.

integrationId

The identifier of the integration.

Length Constraints: Minimum length of 1. Maximum length of 64.

Pattern: [a-z0-9]+

Required: Yes

Request Body

The request does not have a request body.

Response Syntax

HTTP/1.1 200 Content-type: application/json { "createdAt": "string", "integrationArn": "string", "integrationId": "string", "integrationType": "string", "name": "string", "providerDetails": { ... }, "updatedAt": "string" }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

createdAt

The timestamp when the resource was created.

Type: Timestamp

integrationArn

The Amazon Resource Name (ARN) of the integration.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 1011.

Pattern: arn:[a-z0-9-]+:continuum:[a-z0-9-]+:[0-9]{12}:integrations/[a-z0-9]+

integrationId

The identifier of the integration.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 64.

Pattern: [a-z0-9]+

integrationType

The integration Type.

Type: String

Valid Values: GITHUB | S3

name

The name of the resource.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 255.

providerDetails

Provider-specific details for an integration. Only one member will be present.

Type: ProviderDetails object

Note: This object is a Union. Only one member of this object can be specified or returned.

updatedAt

The timestamp when the resource was last updated.

Type: Timestamp

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

The request is not authorized. Verify that your credentials and request signature are valid and that you have permission to perform this action.

HTTP Status Code: 403

InternalServerException

The request couldn't be processed because of an internal server issue. Try again later. If the problem persists, contact AWS Support.

HTTP Status Code: 500

ResourceNotFoundException

The specified resource was not found. Verify that the resource identifier is correct and that the resource exists.

HTTP Status Code: 404

ThrottlingException

The request was denied due to request throttling.

HTTP Status Code: 429

ValidationException

The request failed to satisfy the constraints specified by AWS Continuum. Correct the fields identified in the error and retry the request.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: